import { HTMLAttributes } from 'react';
interface Props extends HTMLAttributes<HTMLDivElement> {
    toolbarRef?: HTMLDivElement | null;
    className?: string;
    style?: React.CSSProperties;
}
export declare const LayoutContainer: import('react').ForwardRefExoticComponent<Props & {
    children?: import('react').ReactNode | undefined;
} & import('react').RefAttributes<HTMLDivElement>> | ((props: Props & {
    children?: import('react').ReactNode | undefined;
} & {
    ref?: import('react').Ref<HTMLDivElement> | undefined;
}) => import('react').ReactNode);
export {};
